@function get-vw($target, $w: 1920) {
  $vw-context: ($w*.01) * 1px;
  @return ($target/$vw-context) * 1vw;
}
@function get-vh($target) {
  $vh-context: (1080*.01) * 1px;
  @return ($target/$vh-context) * 1vh;
}

@mixin propVW($prop, $size) {
  #{$prop}: get-vw($size);
  @media only screen and (min-width: 1921px) {
    #{$prop}: $size;
  }
}

@mixin absCenter($display: block) {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: $display;
  margin: auto;
}

@mixin absFull($pos: absolute, $display: block) {
  position: $pos;
  top: 0;
  left: 0;
  display: $display;
  width: 100%;
  height: 100%;
}

@mixin dataAnimOpacity() {
  transition: opacity 0.35s ease-in-out;
  &[data-anim="false"]{
    opacity: 0;
  }
}

@mixin dataAnimOpacityTranslate($delay) {
  transition: opacity 0.4s ease $delay, transform 0.65s cubic-bezier(0,0,0.25,1) $delay;
  will-change: opacity, transform;
  &[data-anim="false"]{
    opacity: 0;
    transform: translate3d(0, 35px, 0);
  }
}

@mixin bellow($size) {
  @media only screen and (max-width: $size) {
    @content;
  }
}
@mixin above($size) {
  @media only screen and (min-width: $size+1px) {
    @content;
  }
}
@mixin between($min, $max) {
  @media only screen and (min-width: $min+1px) and (max-width: $max) {
    @content;
  }
}
